<?php 
/*------------------------------------------------------------------------
 # Sot K2 Scroller  - Version 1.0
 # Copyright (C) 2010-2011 Sky Of Tech. All Rights Reserved.
 # @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 # Author: Sky Of Tech
 # Websites: http://skyoftech.com
 -------------------------------------------------------------------------*/
 
defined('_JEXEC') or die('Restricted access');

if (! class_exists("modk2Helper") ) { 
require_once (dirname(__FILE__) .DS. 'libs' .DS.'k2' .DS.'Sotk2.php');

class modk2Helper {
	var $module_name = '';
	function excute($params, $module) {
		$enable_cache 		=   $params->get('cache',1);
		$cachetime			=   $params->get('cache_time',0);
		$this->module_name = $module->module;
		
		if($enable_cache==1) {		
			$conf =& JFactory::getConfig();
			$cache = &JFactory::getCache($module->module);
			$cache->setLifeTime( $params->get( 'cache_time', $conf->getValue( 'config.cachetime' ) * 60 ) );
			$cache->setCaching(true);
			$cache->setCacheValidation(true);
			$items =  $cache->get( array('modk2Helper', 'getk2Content'), array($params, $module));
		} else {
			$items = modk2Helper::getk2Content($params, $module);
		}		
		return $items;			
	}
	
	function getk2Content($params, $module) {				
        $sotk2 = new Sotk2(); 
		$sotk2->thumb_height 		= $params->get('thumb_height', "700px");
        $sotk2->thumb_width 		= $params->get('thumb_width', "400px");        
        $sotk2->small_thumb_height 	= $params->get('small_thumb_height', "70px");
        $sotk2->small_thumb_width 	= $params->get('small_thumb_width', "40px");
        $sotk2->sort_order_field 	= $params->get('sort_order_field', "created");
        $sotk2->type_order 			= $params->get('sort_order', "ASC");
		
        $sotk2->web_url 			= JURI::base();
        $sotk2->max_title        	= $params->get('limittitle',25);
        $sotk2->max_description     = $params->get('limit_description',200);
		$sotk2->max_short_desc      = $params->get('limit_short_description',100); 
        
        $sotk2->resize_folder 		= JPATH_CACHE.DS. $module->module .DS."images".DS."resize";
		$sotk2->crop_folder 		= JPATH_CACHE.DS. $module->module .DS."images".DS."crop";
        $sotk2->url_to_resize 		= $sotk2->web_url . "cache/". $module->module ."/images/resize/";
		$sotk2->url_to_crop 		= $sotk2->web_url . "cache/". $module->module ."/images/crop/";
        $sotk2->cropresizeimage 	= $params->get('cropresizeimage', 1);              		
		$items = $sotk2->getItems($params);				
		return $items;
	}
}
			
} 
if(!class_exists('Browser')){
	class Browser
	{
		private $props    = array("Version" => "0.0.0",
									"Name" => "unknown",
									"Agent" => "unknown") ;
	
		public function __Construct()
		{
			$browsers = array("firefox", "msie", "opera", "chrome", "safari",
								"mozilla", "seamonkey",    "konqueror", "netscape",
								"gecko", "navigator", "mosaic", "lynx", "amaya",
								"omniweb", "avant", "camino", "flock", "aol");
	
			$this->Agent = strtolower($_SERVER['HTTP_USER_AGENT']);
			foreach($browsers as $browser)
			{
				if (preg_match("#($browser)[/ ]?([0-9.]*)#", $this->Agent, $match))
				{
					$this->Name = $match[1] ;
					$this->Version = $match[2] ;
					break ;
				}
			}
		}
	
		public function __Get($name)
		{
			if (!array_key_exists($name, $this->props))
			{
				die("No such property or function {$name}");
			}
			return $this->props[$name] ;
		}
	
		public function __Set($name, $val)
		{
			if (!array_key_exists($name, $this->props))
			{
				SimpleError("No such property or function.", "Failed to set $name", $this->props);
				die;
			}
			$this->props[$name] = $val ;
		}
	
	} 
}	
?>

